OpenMap (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.app
Class OpenMap

    java.lang.Object
      com.bbn.openmap.app.OpenMap

Direct Known Subclasses:
  Main

    public class OpenMap

extends java.lang.Object

The OpenMap application framework. This class creates a PropertyHandler that searches the classpath, config directory and user's home directory for an openmap.properties file, and creates the application based on the contents of the properties files. It also creates an MapPanel and an OpenMapFrame to be used for the application and adds them to the MapHandler contained in the MapPanel. All other components are added to that MapHandler as well, and they use the MapHandler to locate, connect and communicate with each other.

Field Summary
`protected MapPanel` | `mapPanel`

Constructor Summary
`OpenMap()` Create a new OpenMap framework object - creates a MapPanel, OpenMapFrame, and brings up the layer palettes that are being told to be open at startup.
`OpenMap(PropertyHandler propertyHandler)` Create a new OpenMap framework object - creates a MapPanel, OpenMapFrame, and brings up the layer palettes that are being told to be open at startup.

Method Summary
`protected void` | `configureMapPanel(PropertyHandler propertyHandler)`
`static PropertyHandler` | `configurePropertyHandler(java.lang.String propertiesFile)` Given a path to a properties file, try to configure a PropertyHandler with it.
`static OpenMap` | `create()` Create and return an OpenMap object that uses a standard PropertyHandler to configure itself.
`static OpenMap` | `create(java.lang.String propertiesFile)` Create and return an OpenMap object that uses a standard PropertyHandler to configure itself.
`protected static java.util.logging.Logger` | `getLogger()` get the logger
`MapHandler` | `getMapHandler()` Get the MapHandler used for the OpenMap object.
`MapPanel` | `getMapPanel()` Get the MapPanel, the container for the OpenMap components.
`static void` | `main(java.lang.String[] args)` The main OpenMap application.
`protected void` | `setWindowListenerOnFrame(OpenMapFrame omf)` A method called internally to set the WindowListener behavior on an OpenMapFrame used for the OpenMap application.
`protected void` | `showInFrame()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mapPanel

    protected MapPanel mapPanel

Constructor Detail

### OpenMap

    public OpenMap()

  Create a new OpenMap framework object - creates a MapPanel, OpenMapFrame, and brings up the layer palettes that are being told to be open at startup. The MapPanel will create a PropertiesHandler that will search for an openmap.properties file.

### OpenMap

    public OpenMap(PropertyHandler propertyHandler)

  Create a new OpenMap framework object - creates a MapPanel, OpenMapFrame, and brings up the layer palettes that are being told to be open at startup. The properties in the PropertyHandler will be used to configure the application. PropertyHandler may be null.

Method Detail

### configureMapPanel

    protected void configureMapPanel(PropertyHandler propertyHandler)

### showInFrame

    protected void showInFrame()

### setWindowListenerOnFrame

    protected void setWindowListenerOnFrame(OpenMapFrame omf)

  A method called internally to set the WindowListener behavior on an OpenMapFrame used for the OpenMap application. By default, this method adds a WindowAdapter that calls System.exit(0), killing java. You can extend this to add a WindowListener to the OpenMapFrame that does nothing or something else.

### getMapHandler

    public MapHandler getMapHandler()

  Get the MapHandler used for the OpenMap object.

### getMapPanel

    public MapPanel getMapPanel()

  Get the MapPanel, the container for the OpenMap components.

### create

    public static OpenMap create()

  Create and return an OpenMap object that uses a standard PropertyHandler to configure itself. The OpenMap object has a MapHandler that you can use to gain access to all the components.

  Returns:
    OpenMap
  See Also:
    `getMapHandler()`

### create

    public static OpenMap create(java.lang.String propertiesFile)

  Create and return an OpenMap object that uses a standard PropertyHandler to configure itself. The OpenMap object has a MapHandler that you can use to gain access to all the components.

  Returns:
    OpenMap
  See Also:
    `getMapHandler()`

### configurePropertyHandler

    public static PropertyHandler configurePropertyHandler(java.lang.String propertiesFile)

  Given a path to a properties file, try to configure a PropertyHandler with it. If the properties file is not valid, the returned PropertyHandler will look for the openmap.properties file in the classpath and the user's home directory.

### main

    public static void main(java.lang.String[] args)

  The main OpenMap application.

### getLogger

    protected static java.util.logging.Logger getLogger()

  get the logger

  Returns:
    Logger for OpenMap class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details